put
https://uat-api.thredd.com/eds/api/v1/Webhooks/
Clients can update webhook details using this endpoint by specifying the WebhookId. It's important to note that the program manager code and status cannot be altered.
It's necessary to include all webhook details in the request, regardless of whether they're being altered. Therefore, you'll either need to document this information upon webhook creation or initiate a 'GET' request beforehand.
The request requires path parameters in a valid GUID format.
Sample request:
PUT api/v1/Webhooks/af2d48de-2ad7-42f8-a252-8422cd9e6078
{
"productId": 1234,
"events": [
101,
102
],
"config":
{
"url": "https://client_domain.com/webhook",
"customHeaders":
{
"header1": "value 1",
"header2": "value 2",
"header3": "value 3"
}
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
DocumentationFor more information on how to update webhook details, see Manage Webhook Details.
